document.all['myEditor'].style.visibility = "visible";
top.myEditor.showBorders = true;
myEditor.unselectable = "on";

//-----------------------------------------------------------------------------------
function loadFile(path) {
	if (myEditor.Busy != true) {
		document.all["myEditor"].LoadURL(path);
		setTimeout("returnStyles();", 100);
	}
}

function saveFile(path) {

	document.all["htmlSource"].value = myEditor.documentHTML;
	var saveFile = window.open("about:blank", "file", "height=50,width=300,menubar=no,toolbar=no,status=no,resizable=yes");
    document.file.submit();
}
//-----------------------------------------------------------------------------------
function getStyles() {

	if (myEditor.Busy != true) {
		if (myEditor.DOM.styleSheets.length != 0) {
    	var loadStyles = myEditor.DOM.styleSheets[0].rules;
		var arrayCSS = new Array();
    	var j = 0;
		var duplicate = false;
		for (i=1;i<=loadStyles.length;i++) {
			selector = loadStyles[i-1].selectorText;
			if (selector.indexOf(".") != -1) {
	    		selector = selector.split("."); 
				selector2 = selector[1].split(":"); 
				for (k=0;k<arrayCSS.length;k++) {
				   if (arrayCSS[k] == selector2[0])
					 duplicate = true;
				}
				if (duplicate == false) {
	      			arrayCSS[j] = selector2[0];
					j++;
				}
				duplicate = false;
			}
		}
		return arrayCSS;
	} else {
		return null;
	}
	}
}

//-----------------------------------------------------------------------------------
function replace(originalStr, fromStr, toStr) {
    var strLen = originalStr.length ;
	var txtLen = fromStr.length; 
    if ((strLen == 0) || (txtLen == 0)) {
	  return originalStr;
	}
    var i = originalStr.indexOf(fromStr); 
	if ((!i) && (fromStr != originalStr.substring(0, txtLen))) {
	  return originalStr; 
	}
    if (i == -1) { 
	  return originalStr;
	}
    var newStr = originalStr.substring(0, i) + toStr; 
    if (i + txtLen < strLen) {
        newStr = newStr + replace(originalStr.substring(i+txtLen,strLen), fromStr, toStr);
	}
    return newStr;
}

//-----------------------------------------------------------------------------------
function doSimpleCommand(cmd) {
	if (myEditor.Busy != true) {	
		if (myEditor.queryStatus(cmd) != 0 && myEditor.queryStatus(cmd) != 1) {
			myEditor.ExecCommand(cmd, 0);
			myEditor.focus();
			myEditor.DOM.body.focus();
		}
	}
}

//-----------------------------------------------------------------------------------
function doLine() {

	if (myEditor.Busy != true) {	
		var selType = myEditor.DOM.selection.type;
		if (selType != "Control") {
			selarea = myEditor.DOM.selection.createRange();
			selarea.pasteHTML("<hr>");
		}
	}
}

//-----------------------------------------------------------------------------------
function doFont(fName) {
    if(fName != '') {
		if (myEditor.Busy != true) {	
			if (myEditor.queryStatus(CMD_SETFONTNAME) != 0 && myEditor.queryStatus(CMD_SETFONTNAME) != 1) {
				myEditor.ExecCommand(CMD_SETFONTNAME, 0, fName);
				myEditor.focus();
				myEditor.DOM.body.focus();
			}
		}
	}
}

//-----------------------------------------------------------------------------------
function doSize(fSize) {
	if(fSize != '') {
		if (myEditor.Busy != true) {	
			if (myEditor.queryStatus(CMD_SETFONTSIZE) != 0 && myEditor.queryStatus(CMD_SETFONTSIZE) != 1) {
				myEditor.ExecCommand(CMD_SETFONTSIZE, 0, fSize);
				myEditor.focus();
				myEditor.DOM.body.focus();
			}
		}
	}
}

//-----------------------------------------------------------------------------------
function doHead(hType) {
    if(hType != '') {
		if (myEditor.Busy != true) {	
			if (myEditor.queryStatus(CMD_GETBLOCKFMT) != 0 && myEditor.queryStatus(CMD_GETBLOCKFMT) != 1) {
				myEditor.ExecCommand(CMD_GETBLOCKFMT, 0, hType);
				myEditor.focus();
				myEditor.DOM.body.focus();
				doFont(selFont.options[selFont.selectedIndex].value);
			}
		}
	}
}

//-----------------------------------------------------------------------------------
function doColor(cmd) {

	var theColor = showModalDialog("Wysiwyg/pickColor.asp", "", "dialogWidth:500px; dialogHeight:320px; status:no; help:no");
	if (theColor != null) {
		if (myEditor.Busy != true) {	
			if (myEditor.queryStatus(cmd) != 0 && myEditor.queryStatus(cmd) != 1) {
				myEditor.ExecCommand(cmd, 0, theColor);
				myEditor.focus();
				myEditor.DOM.body.focus();
			}
		}
	}	
}

//-----------------------------------------------------------------------------------
function doImage() {
	var imageArray = null;
	var selType = myEditor.DOM.selection.type;
	var dImage = new Array();
	if (selType == "Control") {
    	var ctrlImage = myEditor.DOM.selection.createRange();
		dImage["tag"] = ctrlImage(0).tagName.toLowerCase();
		if (dImage["tag"] == "img") { 
			dImage["width"] = ctrlImage(0).width;
			dImage["height"] = ctrlImage(0).height;
			dImage["border"] = ctrlImage(0).border;
			dImage["hSpace"] = ctrlImage(0).hspace;
			dImage["vSpace"] = ctrlImage(0).vspace;
			dImage["src"] = ctrlImage(0).src;
			dImage["alt"] = ctrlImage(0).alt;
			dImage["name"] = ctrlImage(0).name;
			dImage["class"] = ctrlImage(0).className;
			dImage["id"] = ctrlImage(0).id;
			imageArray = showModalDialog("Wysiwyg/pickImage.asp", dImage, "dialogWidth:500px; dialogHeight:500px; status:no; help:no");
			if (imageArray !=null) {
				ctrlImage(0).width = imageArray["width"];
				ctrlImage(0).height = imageArray["height"];
				ctrlImage(0).border = imageArray["border"];
				ctrlImage(0).hspace = imageArray["hspace"];
				ctrlImage(0).vspace = imageArray["vspace"];
				ctrlImage(0).src = imageArray["src"];
				ctrlImage(0).alt = imageArray["alt"];
				ctrlImage(0).name = imageArray["name"];
				ctrlImage(0).className = imageArray["class"];
				ctrlImage(0).id = imageArray["id"];
				return;
			}
		}
	} else {
		if (myEditor.Busy != true) {
			if (myEditor.queryStatus(CMD_IMAGE) != 0 && myEditor.queryStatus(CMD_IMAGE) != 1) { 
				imageArray = showModalDialog("Wysiwyg/pickImage.asp", "", "dialogWidth:500px; dialogHeight:500px; status:no; help:no");
				if (imageArray != null) {
					if (myEditor.queryStatus(CMD_BOLD) == 0 || myEditor.queryStatus(CMD_BOLD) != 1)
				    	myEditor.ExecCommand(CMD_DELETE,0);
		  			//imgSrc = replace(imgSrc, "../", "");
			  		selarea = myEditor.DOM.selection.createRange();
					var html = "<img src=\"" + imageArray["src"] + "\"";
					if (imageArray["width"] != "")
						html = html + " width='" + imageArray["width"] + "'";
					if (imageArray["height"] != "")
						html = html + " height='" + imageArray["height"] + "'";
					if (imageArray["border"] != "")
						html = html + " border='" + imageArray["border"] + "'";
					if (imageArray["hSpace"] != "")
						html = html + " hspace='" + imageArray["hSpace"] + "'";
					if (imageArray["vSpace"] != "")
						html = html + " vspace='" + imageArray["vSpace"] + "'";
					if (imageArray["alt"] != "")
						html = html + " alt='" + imageArray["alt"] +"'";
					if (imageArray["name"] != "")
						html = html + " name='" + imageArray["name"] +"'";
					if (imageArray["class"] != "")
						html = html + " class='" + imageArray["class"] + "'";
					if (imageArray["id"] != "")
						html = html + " id='" + imageArray["id"] + "'";
					/*if ((imageArray["src2"] != "") && (imageArray["id"] != ""))
						html = html + " onmouseout=\"MM_swapImgRestore('')\" onmouseover=\"MM_swapImage('" + imageArray["id"] + "','','" + imageArray["src2"] +"',1)\"";*/
					html = html + ">"				
	  				selarea.pasteHTML(html);
				}
			}
		}
	}
}
//-----------------------------------------------------------------------------------
function doRollOver() {

	var imageArray = null;
	var selType = myEditor.DOM.selection.type;
	var dImage = new Array();
	if (selType == "Control") {
    	var ctrlImage = myEditor.DOM.selection.createRange();
		dImage["tag"] = ctrlImage(0).tagName.toLowerCase();
		if (dImage["tag"] == "img") { 
			dImage["id"] = ctrlImage(0).id;
			dImage["src"] = ctrlImage(0).onmouseover;
			if (dImage["src"] == null)
				dImage["src"] = "";
			if (dImage["src"] != "") {
				var temp = dImage["src"].split(",");
				for (var i=1;i<=temp.length;i++) {
					//if (temp[i-1].toLowerCase().search("http://") != -1) {
					if (i==3) {
						dImage["src"] = replace(temp[i-1], "'", "")
						break;
					}
				}
			}
			imageArray = showModalDialog("Wysiwyg/pickRollOver.asp", dImage, "dialogWidth:500px; dialogHeight:500px; status:no; help:no");
			if (imageArray !=null) {
				if ((imageArray["src"] != "") && (imageArray["id"] != "")) {
					ctrlImage(0).onmouseout = "MM_swapImgRestore()";
					ctrlImage(0).onmouseover = "MM_swapImage('" + imageArray["id"] + "','','" + imageArray["src"] +"',1)";
				}
				ctrlImage(0).id = imageArray["id"];
				return;
			}
		}
	} 
}

//-----------------------------------------------------------------------------------
function doLink() {
	var linkArray = null;
	if (myEditor.Busy != true) {
  		if (myEditor.queryStatus(CMD_HYPERLINK) != 0 && myEditor.queryStatus(CMD_HYPERLINK) != 1) {
    		linkArray = showModalDialog("Wysiwyg/pickLink.asp", "", "dialogWidth:650px; dialogHeight:550px; status:no; help:no");
			if (linkArray != null) {
	  			//linkArray["file"] = replace(linkAttrs["file"], "../", "");
				myEditor.ExecCommand(CMD_HYPERLINK, OLECMDEXECOPT_DONTPROMPTUSER, linkArray["file"]);
			}
		}
	}	
}

//-----------------------------------------------------------------------------------
function doFlash() {

	var swfArray = null;
	if (myEditor.Busy != true) {
		if (myEditor.queryStatus(CMD_IMAGE) != 0 && myEditor.queryStatus(CMD_IMAGE) != 1) { 
			swfArray = showModalDialog("Wysiwyg/pickFlash.asp", "", "dialogWidth:500px; dialogHeight:500px; status:no; help:no");
			if (swfArray != null) {
				if (myEditor.queryStatus(CMD_BOLD) == 0 || myEditor.queryStatus(CMD_BOLD) != 1)
			    	myEditor.ExecCommand(CMD_DELETE,0);
	  			//swfArray['swfSrc'] = replace(swfArray['swfSrc'], "../", "");
				html = "<object classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,42,0\"  width=\"" + swfArray['width'] + "\" height=\"" + swfArray['height'] + "\">\n";
	  			html = html + "<param name=\"movie\" value=\"" + swfArray['swfSrc'] + "\">\n";
				html = html + "<param name=\"quality\" value=\"" + swfArray['quality'] + "\">\n";
				html = html + "<param name=\"bgcolor\" value=\"" + swfArray['bgColor'] + "\">\n";
				if (swfArray['transparency'] == "yes") {
					html = html + "<param name=\"wmode\" value=\"transparent\">\n";
				}
				html = html + "<embed src=\"" + swfArray['swfSrc'] + "\" quality=\"" + swfArray['quality'] + "\" bgcolor=\"" + swfArray['bgColor'] + "\"  width=\"" + swfArray['width'] + "\" height=\"" + swfArray['height'] + "\" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash\"></embed>\n";
	  			html = html + "</object>";
	  			selarea = myEditor.DOM.selection.createRange();
				selarea.pasteHTML(html);
			}
		}
	}
}

//-----------------------------------------------------------------------------------
function doTable() {

	var tableArray = null;
	var selType = myEditor.DOM.selection.type;
	var dTable = new Array();
	if (selType == "Control") {
    	var ctrlTable = myEditor.DOM.selection.createRange();
		dTable["tag"] = ctrlTable(0).tagName.toLowerCase();
		if (dTable["tag"] == "table") { 
			dTable["width"] = ctrlTable(0).width;
			dTable["height"] = ctrlTable(0).height;
			dTable["cellPadding"] = ctrlTable(0).cellPadding;
			dTable["cellSpacing"] = ctrlTable(0).cellSpacing;
			dTable["border"] = ctrlTable(0).border;
			dTable["borderColor"] = ctrlTable(0).borderColor;
			dTable["bgColor"] = ctrlTable(0).bgColor;
			dTable["className"] = ctrlTable(0).className;
			dTable["id"] = ctrlTable(0).id;
			tableArray = showModalDialog("Wysiwyg/pickTable.asp", dTable, "dialogWidth:500px; dialogHeight:500px; status:no; help:no");
			if (tableArray !=null) {
				ctrlTable(0).width = tableArray['width'];
				ctrlTable(0).height = tableArray['height'];
				ctrlTable(0).border = tableArray['border'];
				ctrlTable(0).cellPadding = tableArray['cellPadding'];
				ctrlTable(0).cellSpacing = tableArray['cellSpacing'];
				ctrlTable(0).borderColor = tableArray['borderColor'];
				ctrlTable(0).bgColor = tableArray['backgroundColor'];
				ctrlTable(0).background = tableArray['background'];
				ctrlTable(0).className = tableArray['className'];
				ctrlTable(0).id = tableArray['id'];
				return;
			}
		}
	} else {
		tableArray = showModalDialog("Wysiwyg/pickTable.asp", "", "dialogWidth:500px; dialogHeight:500px; status:no; help:no");
	    if (tableArray != null) {
    		top.tblObject.NumRows = tableArray['NumRows'];
			top.tblObject.NumCols = tableArray['NumCols'];
			top.tblObject.TableAttrs = tableArray['TableAttrs'];
			if (myEditor.Busy != true) {	
				if (myEditor.queryStatus(CMD_INSERTTABLE) != 0 && myEditor.queryStatus(CMD_INSERTTABLE) != 1) {
					myEditor.ExecCommand(CMD_INSERTTABLE, 0, tblObject);
					myEditor.focus();
					myEditor.DOM.body.focus();
				}
			}				
		}
    }
}

//-----------------------------------------------------------------------------------
function doCell() {

	if (myEditor.queryStatus(CMD_INSERTCELL) == 3) {
		var dCell = new Array();
		var selType = myEditor.DOM.selection.type;
		if (selType == "None" || selType =="Text") {
			var ctrlCell = myEditor.DOM.selection.createRange();
			if (ctrlCell != null) {
				ctrlCell.collapse();
				var elCell = ctrlCell.parentElement();
				dCell["width"] = elCell.width;
				dCell["height"] = elCell.height;
				dCell["bgColor"] = elCell.bgColor;
				dCell["align"] = elCell.align;
				dCell["vAlign"] = elCell.vAlign;
				dCell["className"] = elCell.className;
				dCell["id"] = elCell.id;
				var cellArray = showModalDialog("Wysiwyg/pickCell.asp", dCell, "dialogWidth:500px; dialogHeight:500px; status:no; help:no");
				if (cellArray !=null) {
					if (cellArray["type"] == "properties") {
						elCell.width = cellArray["width"];
						elCell.height = cellArray["height"];
						elCell.bgColor = cellArray["bgColor"];
						elCell.vAlign = cellArray["vAlign"];
						elCell.align = cellArray["align"];
						elCell.className = cellArray["className"];
						elCell.id = cellArray["id"];
						return;
					}
					if (cellArray["type"] == "ExecCommand") {
						var cmd = cellArray["command"];
						if (myEditor.Busy != true) {	
							if (myEditor.queryStatus(cmd) != 0 && myEditor.queryStatus(cmd) != 1) {
								myEditor.ExecCommand(cmd, 0);
								myEditor.focus();
								myEditor.DOM.body.focus();
								return;
							}
						}
					}
				}
			}
		}
	}
}

//-----------------------------------------------------------------------------------
function doFolders() {

	var w = 2/3 * screen.width;
	var h = 2/3 * screen.height;
	var winl = (screen.width - w) / 2;
	var wint = (screen.height - h) / 2;

	var winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl;
	var folder = window.open("Wysiwyg/Include/folders.asp",'','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,'+winprops);

}

//-----------------------------------------------------------------------------------

function doChangeStyles(theValue) {

	if (myEditor.Busy != true && theValue !="-1") {
		var seltype = myEditor.DOM.selection.type;
		if (seltype == "Control") {
		    var ctrlObject = myEditor.DOM.selection.createRange();
			ctrlObject(0).className = theValue;
		}
		if (seltype == "Text" || seltype == "None") {
			var txtObject = myEditor.DOM.selection.createRange();
			var txtElement = txtObject.parentElement(); 
			txtElement.className = theValue;
		}
	}
}

function returnStyles() {

	var cssStyles = getStyles();
	if (cssStyles == null)
		return;
	var styleList = document.getElementById("cssList");
	for (var i=1; i<=cssStyles.length;i++) {
		var newOption = document.createElement("OPTION");
		styleList.options.add(newOption);
		newOption.innerText = cssStyles[i-1];
		newOption.value = cssStyles[i-1];
	}
}

function doCSS() {

	if (myEditor.Busy != true) {
		var filePath = showModalDialog("Wysiwyg/Include/pickFile.asp?fileType=css", "", "dialogWidth:350px; dialogHeight:350px; status:no; help:no");
		if (filePath != null) {
			myEditor.DOM.body.style.backgroundColor = "";
			myEditor.DOM.body.style.margin = "";
    		var html = myEditor.documentHTML;
			html = replace(html,'</HEAD>','<link rel=\"stylesheet\" type=\"text/css\" href=\"' + filePath + '\">\n</HEAD>'); 
		    myEditor.documentHTML = html;
			setTimeout("returnStyles();", 100);
		}
	}
}
//-----------------------------------------------------------------------------------
function doModules() {

	var selType = myEditor.DOM.selection.type;
	if (selType != "Control") {
		if (myEditor.Busy != true) {
			if (myEditor.queryStatus(CMD_IMAGE) != 0 && myEditor.queryStatus(CMD_IMAGE) != 1) {
				var moduleImage = showModalDialog("Wysiwyg/pickModules.asp", "", "dialogWidth:500px; dialogHeight:500px; status:no; help:no");
				if (moduleImage != null) {
					if (myEditor.queryStatus(CMD_BOLD) == 0 || myEditor.queryStatus(CMD_BOLD) != 1)
				    	myEditor.ExecCommand(CMD_DELETE,0);
					selarea = myEditor.DOM.selection.createRange();
					var html = "<img src='" + moduleImage + "' border=0>";
					selarea.pasteHTML(html);
				}
			}
		}
	}
}

//-----------------------------------------------------------------------------------
function doPreviewMode() {

	prevWin = window.open("", "", "toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes");
	prevWin.document.write(myEditor.documentHTML); 
	prevWin.document.title = "Spider Sales Preview";

}


function doHtmlMode() {

	document.all["myEditor"].style.width = "0px";
	document.all["myEditor"].style.height = "0px";
	document.all["myEditor"].style.visibility = "hidden";
	
	document.all["htmlEditor"].style.width = "100%";
	document.all["htmlEditor"].style.height = "330px";
	document.all["htmlEditor"].style.visibility = "visible";
	document.all["htmlEditor"].value = document.all["myEditor"].documentHTML;
		    
	document.all["htmlEditor"].focus();
	
}
