<!--#include file="settings.asp"-->
<!--#include file="subs/designSettings.asp"-->
<!--#include file="design/start.asp"-->

<!--#include file="subs/permissions.asp"-->
<!--#include file="language/language.asp"-->

<%
'---------------------------------------------------------------------
if session("goLogin")<>"no" then
	set storeConn = nothing
	response.redirect "default.asp"
end if
'---------------------------------------------------------------------
call importPermissions()
if IMPORT_MODULE = MODULE_NOT_AVAILABLE then
	set storeConn = nothing
	session("errMessage") = You_have_no_permission_to_use_this_module_CONST
	response.redirect "error.asp"
end if
'---------------------------------------------------------------------

dim whoCall, textMessage

whoCall = request.queryString("whoCall")
select case whoCall
	case "CATEGS"
		textMessage = "Category file header"
	case "ITEMS"
		textMessage = "Product file header"
	case "ACLASS"
		textMessage = "Class attribute file header"
	case "ATTRIBS"
		textMessage = "Attribut header"
	case "PRICES"
		textMessage = "Price header"
	case else
		textMessage = "No header available"
end select
	
call startWindow (textMessage, "100%", false)
%>

<table border="0" width="100%" cellspacing="1" cellpadding="1">
<tr>
	<td><div id="normalText">The header contain the values from "Field Name" row.</div></td>
</tr>
<tr>
	<td><br></td>
</tr>
<tr>
	<td>
		<table class="bor1" border="0" width="100%" cellspacing="0" cellpadding="2">
		<tr class="cell1"> 
			<td><div id="normalText"><b>Field name</b></div></td>
			<td><div id="normalText"><b>Field format</b></div></td>
			<td><div id="normalText"><b>Field description</b></div></td>
			<td><div id="normalText"><b>Field type</b></div></td>
			<td align="right"><img src="design/images/tD.gif" width="23" height="23"></td>
		</tr>
		<% if whoCall = "CATEGS" then %>
			<tr class=c1>
				<td><div id="normalText">categoryName</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Name of the category</div></td>
				<td><div id="normalText">Mandatory</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">categoryDescription</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Category description</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">categoryImageId</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">The category image<br>The values for this field represents name of the image (ex: image.gif)<br>You must have have images in store</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">positionInStore</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">The position of category in store (1, 2, 3, ...)</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
		<% elseif whoCall = "ITEMS" then %>
			<tr class=c1>
				<td><div id="normalText">productName</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Name of the product</div></td>
				<td><div id="normalText">Mandatory</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">productCode</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">The product SKU</div></td>
				<td><div id="normalText">Mandatory</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">categoryID</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">The category product<br>The values for this field represents name of the categories<br>You must have have categories in store</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">orderInCategory</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">The position of product in category (1, 2, 3, ...)</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">shortDescription</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Short description of the product</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">largeDescription</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Large description of the product</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">shortImageID</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">The product small image<br>The values for this field represents name of the image (ex: image.gif)<br>You must have have images in store</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">largeImageID</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">The product large image<br>The values for this field represents name of the image (ex: image.gif)<br>You must have have images in store</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">isVisible</div></td>
				<td><div id="normalText">Boolean</div></td>
				<td><div id="normalText">Enter "Y" if the product will be visible in store, else enter "N"</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>			
			<tr class=c2>
				<td><div id="normalText">weight</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">Weight of product</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">measure</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Unit measure of product (kgs, lbs)</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
		<% elseif whoCall = "ACLASS" then %>
			<tr class=c1>
				<td><div id="normalText">productID</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Name of the product where the class is defined. You must have products in store</div></td>
				<td><div id="normalText">Mandatory</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">className</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Name of the class (color, size, etc)</div></td>
				<td><div id="normalText">Mandatory</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">positionInProduct</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">The position of class in product (1, 2, 3, ...)</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
		<% elseif whoCall = "ATTRIBS" then %>
			<tr class=c1>
				<td><div id="normalText">classID</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Name of the class where the attribut is defined. You must have classes in store</div></td>
				<td><div id="normalText">Mandatory</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">productID</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">If the attribut is a simple value then enter "0" at this field<br>If the attribut is a product/component, then enter the name of the product</div></td>
				<td><div id="normalText">Mandatory</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">atribName</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Name of the attribut if the attribut is a simple value<br>For products/components enter the name of the class</div></td>
				<td><div id="normalText">Mandatory</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">isDefault</div></td>
				<td><div id="normalText">Boolean</div></td>
				<td><div id="normalText">Type "Y" if the attribut is default, else type "N"</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>			
			<tr class=c1>
				<td><div id="normalText">imageID</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">The attribut image<br>The values for this field represents name of the image (ex: image.gif)<br>You must have have images in store</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">typeImage</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">Type "0" if the image is place on the right of attribut<br>Type "1" if the image is over the product image</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>			
			<tr class=c1>
				<td><div id="normalText">quantity</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">If the attribut is a simple value then enter "0" at this field<br>If the attribut is a product/component, then enter the number of components</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">priceDifference</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">If the attribut is a simple value then enter the difference of price (Ex: Add $5 for yellow color)<br>If the attribut is a product/component, then enter "0"</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>			
			<tr class=c1>
				<td><div id="normalText">priceWeight</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">If the attribut is a simple value then enter the difference of weight<br>If the attribut is a product/component, then enter "0"</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>			
			<tr class=c2>
				<td><div id="normalText">positionInClass</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">The position of attribut in class (1, 2, 3, ...)</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">code</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">If the attribut is a simple value you can enter a SKU for this</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>			
		<% elseif whoCall = "PRICES" then %>
			<tr class=c1>
				<td><div id="normalText">productID</div></td>
				<td><div id="normalText">String</div></td>
				<td><div id="normalText">Name of the product where the price is defined. You must have products in store</div></td>
				<td><div id="normalText">Mandatory</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">lowLimit</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">Use this field if you want multiple prices/product<br>Insert min quantity or type "0" if the product has a single price</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">hightLimit</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">Use this field if you want multiple prices/product<br>If min quantity is "0" and max quantity is "0" then the product has a single price<br>
					If min quantity is not "0", then max quantity = "0" means "unlimited products"
				</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">price</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">The price</div></td>
				<td><div id="normalText">Mandatory</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">discount</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">Enter a negative value if you want a discount percent<br>(Ex: -0.35 = 35%)<br>For a fixed value, use a positive number</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">startDateDiscount</div></td>
				<td><div id="normalText">Date</div></td>
				<td><div id="normalText">Start date discount (must be in format MM/DD/YYYY)</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c1>
				<td><div id="normalText">endDateDiscount</div></td>
				<td><div id="normalText">Date</div></td>
				<td><div id="normalText">End date discount (must be in format MM/DD/YYYY)</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
			<tr class=c2>
				<td><div id="normalText">stepSale</div></td>
				<td><div id="normalText">Number</div></td>
				<td><div id="normalText">The step sale is the minimum quantity interval a user can buy<br>
					(Ex: If the stepSale is 5 the users can only buy 5, 10, 15, 20 etc products)<br>
					Enter "1" if you don' have restrictions of product sale
				</div></td>
				<td><div id="normalText">Optional</div></td>
				<td>&nbsp;</td>
			</tr>
		<% end if %>
		</table>
	</td>
</tr>
<tr>
	<td><br></td>
</tr>
<tr>
	<td><input type="button" class="b1" value="Back to import" onClick="JavaScript:document.location='import.asp';"></td>
</tr>
</table>

<% set storeConn = nothing
call endWindow() %>
<!--#include file="design/end.asp"-->

