<!--#include file="settings.asp"-->
<!--#include file="subs/designSettings.asp"-->
<!--#include file="design/start.asp"-->
<!--#include file="subs/utilFunctions.asp"-->
<!--#include file="subs/crypto.asp"-->
<!--#include file="subs/utilOrders.asp"-->

<!--#include file="subs/permissions.asp"-->
<!--#include file="language/language.asp"-->

<%
'---------------------------------------------------------------------
' designSettings.asp : startWindow, endWindow functions
' utilFunctions.asp  : currencyFormat function
' crypto.asp         : crypto class
' utilOrders.asp     : displayOrderCart, displayAdress, displayPaymentName functions
'---------------------------------------------------------------------
%>

<script language="JavaScript">

function printOrder(orderID) {

	var w = 5/6 * screen.width;
	var h = 2/3 * screen.height;
	var winl = (screen.width - w) / 2;
	var wint = (screen.height - h) / 3;
			
	winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl
	theUrl = "orderPrint.asp?orderID="+orderID;
	reWin = window.open(theUrl,'orderPrint','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,'+winprops);
	reWin.focus();

}

function getResultsProduct(productName,productID){

	//alert (productName);
	//alert (productID);
		
}

function openProductList(){
	
	var w = 4/5 * screen.width;
	var h = 4/5 * screen.height;
	var winl = (screen.width - w) / 2;
	var wint = (screen.height - h) / 2;
			
	winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl
	theUrl="attribPickProduct.asp";
	reWin = window.open(theUrl,'productPicker','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,'+winprops);
	reWin.focus();
}

function goSubmit() {

	if (confirm("Do you want to update this order ?"))
		document.forms['orderEdit'].submit();
}

</script>

<%	
'---------------------------------------------------------------------
if session("goLogin")<>"no" then
	set storeConn = nothing
	response.redirect "default.asp"
end if
'---------------------------------------------------------------------
call ordersPermissions()
if ORDER_MODULE = MODULE_NOT_AVAILABLE then
	set storeConn = nothing
	session("errMessage") = You_have_no_permission_to_use_this_module_CONST
	response.redirect "error.asp"
end if
'---------------------------------------------------------------------

dim storeRS, storeRS2, sqlString
dim orderID, orderStatus, orderStatusName
dim customerID, shippingID, shippingName, totalShipping
dim totalTax, grandTotal, paymentName, couponAmount
dim giftAmount
	
dim nextOrder, previousOrder, existNext, existPrevious
	
orderID = request.queryString("orderID")
if not testUrl(orderID, errMessage) then
	set storeConn = nothing
	session("errMessage") = errMessage
	response.redirect "error.asp"
end if
	
Set storeRS = Server.CreateObject("ADODB.Recordset")

sqlString = "select * from storeOrders where storeID = "&storeID&" and orderID = "&orderID
storeRS.open sqlString, storeConn, 1, 1

orderStatus = storeRS("orderStatus")
set storeRS2 = Server.CreateObject("ADODB.Recordset")
sqlString = "select orderStatusName from storeOrdersStatus where storeID = "&storeID&" and orderStatus = "&orderStatus
storeRS2.open sqlString, storeConn, 1, 1
if not storeRS2.eof then
	orderStatusName = storeRS2("orderStatusName")
else
	orderStatusName = "No order status"
end if
storeRS2.close
	
customerID = storeRS("custID")
shippingID = storeRS("shippingID")
shippingName = storeRS("shippingName")
if shippingID = 1 then 'UPS
	shippingName = "UPS - "&shippingName
end if
	
totalShipping = cdbl(storeRS("totalShipping"))
totalTax = cdbl(storeRS("totalTax"))
grandTotal = cdbl(storeRS("grandTotal"))
paymentName = displayPaymentName(cint(storeRS("paymentMethod")))	
couponAmount = cdbl(storeRS("couponAmount"))
	
call startWindow ("View/Edit order - "&orderID,"100%", true)
%>

<form method="post" name="orderEdit" action="orderAction.asp">
<input type="hidden" name="orderID" value="<%= orderID %>">
<table border="0" width="100%" cellspacing="1" cellpadding="1">
<% call saveChanges (0) %>
<tr>
	<td><div id="normalText">Order date : <b><%= formatDateTime(storeRS("orderCreate")) %></b></div></td>
</tr>

<tr>
	<td><div id="normalText">Order status : <b><%= orderStatusName %><b></div></td>
</tr>

<tr>
	<td><div id="normalText">Change order status?&nbsp;
		<select name="orderStatus" class="s1">
		<% sqlString = "select orderStatus, orderStatusName from storeOrdersStatus where storeID = "&storeID
		storeRS2.open sqlString, storeConn, 1, 1
		do while not storeRS2.eof %>
			<option value="<%= storeRS2("orderStatus") %>" <% if orderStatus = storeRS2("orderStatus") then %>selected<% end if %>><%= storeRS2("orderStatusName") %></option>
			<% storeRS2.movenext
		loop
		storeRS2.close %>
		</select>
	</div></td>
</tr>
<% if not storeRS("stockUpdated") then %>
	<tr>
		<td width="1%" nowrap><div id="normalText">Update the stock ?&nbsp;<input type="checkBox" name="updateStock"></div></td>
	</tr>	
<% end if %>
<tr>
	<td><div id="normalText">Payment method : <b><%= paymentName %></b></div></td>
</tr>
<%
if cint(storeRS("paymentMethod")) >= 1 and cint(storeRS("paymentMethod")) <= 4 then 
	if storeRS("cardNumber")<> "" then
		dim cardNumber, cryptoObject, storeCrypto
		set cryptoObject = new crypto
		sqlString = "select publicKey, privateKey, modulus from storeSettings where storeID = "&storeID
		set storeCrypto = server.createObject("ADODB.Recordset")
		storeCrypto.open sqlString, storeConn, 1, 1
		cryptoObject.publicKey = storeCrypto("publicKey")
		cryptoObject.privateKey = storeCrypto("privateKey")
		cryptoObject.modulus = storeCrypto("modulus")
		storeCrypto.close
		cardNumber = cryptoObject.Decode(storeRS("cardNumber"))
		set cryptoObject = nothing
		set storeCrypto = nothing
	%>
	<tr>
		<td><div id="normalText">Customer card number : <b><%= cardNumber %></b></div></td>
	</tr>
	<tr>
		<td><div id="normalText">Card expiration date : <b><%= formatDateTime(storeRS("cardExpirationDate"),vbShortDate) %></b></div></td>
	</tr>
	<% end if 
	if storeRS("approvedCode") <> "" then %>
		<tr>
			<td><div id="normalText">Authorization code : <b><%= storeRS("approvedCode") %></b></div></td>
		</tr>
	<% end if
	if storeRS("transactionID") <> "" then %>
		<tr>
			<td><div id="normalText">Transaction ID : <b><%= storeRS("transactionID") %></b></div></td>
		</tr>
	<% end if
	if storeRS("md5Hash") <> "" then %>
		<tr>
			<td><div id="normalText">System generated hash : <b><%= storeRS("md5Hash") %></b></div></td>
		</tr>
	<% end if
end if
sqlString = "select couponName from storeCoupons where couponID = "&storeRS("couponID")&" and storeID = "&storeID
storeRS2.open sqlString, storeConn, 1, 1
if not storeRS2.eof then %>
	<tr>
		<td><div id="normalText">Coupon name : <b><%= storeRS2("couponName") %></b></div></td>
	</tr>	
<% end if
storeRS2.close %>
<tr>
	<td><div id="normalText">Shipping method : <b><%= shippingName %></b></div></td>
</tr>
<tr>
	<td><br></td>
</tr>

<tr>
	<td>
		<input type="button" class="b1" value="Update order" onClick="JavaScript:goSubmit();">
		<input type="button" class="b1" value="Print order" onClick="JavaScript:printOrder(<%= orderID %>);">
		<input type="button" class="b1" value="Back to order list" onClick="JavaScript:document.location='orderList.asp?viewOrders=no';">
	</td>
</tr>

<tr>
	<td><br></td>
</tr>
	
<tr>
	<td><div id="normalText"><b>Customer Details</b></div></td>
</tr>

<tr>
	<td>
		<% call displayAdress(orderID, customerID, "order") %>
	</td>
</tr>

<tr>
	<td><br></td>
</tr>	

<tr>
	<td><div id="normalText"><b>Order Details</b></div></td>
</tr>

<tr>
	<td>
		<% call displayOrderCart(orderID, couponAmount, giftAmount, totalShipping, totalTax, grandTotal, "order") %>
	</td>
</tr>

<tr>
	<td><br></td>
</tr>

<% if storeRS("customerComment") <>"" then %>
	<tr>
		<td><div id="normalText"><b>Customer comment</b></div></td>
	</tr>
	<tr>
		<td><div id="normalText"><%= server.htmlEncode(storeRS("customerComment")) %></div></td>
	</tr>
	<tr>
		<td><br></td>
	</tr>	
<% end if %>
<tr>
	<td>
		<table border="0">
			<tr>
				<td width="1%" nowrap><div id="normalText">You can send a message about the order<br>(shipping status, etc.) to the customer </div></td>
				<% if storeRS("adminComment")<>"" then %>
					<td width="99%"><textarea class="t1" name="adminComment" rows="4" cols="30"><%= server.htmlEncode(storeRS("adminComment")) %></textarea></td>
				<% else %>
					<td width="99%"><textarea class="t1" name="adminComment" rows="4" cols="30"></textarea></td>
				<% end if %>
			</tr>
		</table>
	</td>
</tr>

<tr>
	<td><br></td>
</tr>	

<tr>
	<td>
		<input type="button" class="b1" value="Update order" onClick="JavaScript:goSubmit();">
		<input type="button" class="b1" value="Print order" onClick="JavaScript:printOrder(<%= orderID %>);">
		<input type="button" class="b1" value="Back to order list" onClick="JavaScript:document.location='orderList.asp?viewOrders=no';">
	</td>
</tr>
<tr>
	<td><br></td>
</tr>
<tr>
	<td>
		<%
		storeRS.close
		sqlString = "select orderID from storeOrders where storeID = "&storeID
		storeRS.open sqlString, storeConn, 1, 1
		existPrevious = false
		existNext = false
		do while not storeRS.eof
			if cint(storeRS("orderID")) = cint(orderID) then
				storeRS.moveprevious
				if not storeRS.bof then
					existPrevious = true
					previousOrder = storeRS("orderID")
				end if
				storeRS.movenext
				storeRS.movenext
				if not storeRS.eof then
					existNext = true
					nextOrder = storeRS("orderID")
				end if
				exit do
			end if
			storeRS.movenext
		loop
		storeRS.close
		if existPrevious then %>
			<input type="button" class="b1" value="View previous order" onClick="JavaScript:document.location='orderEdit.asp?orderID=<%= previousOrder %>';">
		<% end if
		if existNext then %>
			<input type="button" class="b1" value="View next order" onClick="JavaScript:document.location='orderEdit.asp?orderID=<%= nextOrder %>';">
		<% end if %>
	</td>
</tr>

</table>
</form>

<%
set storeRS2 = nothing 
set storeRS = nothing
set storeConn = nothing
call endWindow() %>
<!--#include file="design/end.asp"-->
