<!--#include file="settings.asp"-->
<!--#include file="../verifyStores.asp"-->
<!--#include file="subs/designSettings.asp"-->
<!--#include file="design/start.asp"-->
<!--#include file="subs/utilFunctions.asp"-->
<!--#include file="subs/crypto.asp"-->

<!--#include file="subs/permissions.asp"-->
<!--#include file="language/language.asp"-->

<%
'---------------------------------------------------------------------
' designSettings.asp : startWindow, endWindow functions
' utilFunctions.asp  : checkHTMLString functions
'---------------------------------------------------------------------
%>

<script language="JavaScript" src="Subs/checkSubmitError.js"></script>

<script language="JavaScript">
function goSubmit() {
	document.forms['storePayment'].update.value="yes";
	checkSubmitError(document.forms['storePayment']);
}	
	
</script>

<%  

dim storeRS, storeRSSec, sqlString 
dim visa, visaChecked, masterCard, masterCardChecked
dim americanExpress, americanExpressChecked, discover, discoverChecked
dim moneyOrder, moneyOrderChecked, check, checkChecked, charge, chargeChecked
dim callMe, callMeChecked, coupon, couponChecked
dim realTime, realTimeNo, realTimeAuth, realTimeVeriSign, realTimePayPall
dim cryptoObject

dim x_Type, x_Login, x_txnkey, x_Test_Request
dim VS_URL, VS_User, VS_Password, VS_Partner, VS_Vendor, paramList
dim PP_URL, PP_Email

'---------------------------------------------------------------------
if session("goLogin")<>"no" then
	set storeConn = nothing
	response.redirect "default.asp"
end if
'---------------------------------------------------------------------
call paymentPermissions()
if PAYMENT_MODULE = MODULE_NOT_AVAILABLE then
	set storeConn = nothing
	session("errMessage") = You_have_no_permission_to_use_this_module_CONST
	response.redirect "error.asp"
end if
'---------------------------------------------------------------------

call startWindow ("Payment methods and options","100%", true)

set storeRS = Server.CreateObject("ADODB.Recordset")
set storeRSSec = Server.CreateObject("ADODB.Recordset")
	
if not unlimitedStores then
	sqlString = "select count(storeID) as numberStores from storeSettings"
	storeRS.open sqlString, storeConn, 1, 1
	if cint(storeRS("numberStores")) > cint(numberStores) then
		set storeConn = nothing
		set storeRS = nothing
		set storeRSSec = nothing
		session("errMessage") = "You are not permitted to create more then "&numberStores&" stores !"
		response.redirect "error.asp"
	end if
	storeRS.close
end if
	
sqlString = "select paymentMethodID, paymentMethodName, enabled from storePaymentMethods where storeID = "&storeID&" and paymentMethodID <>5 and paymentMethodID <> 10"
storeRS.open sqlString, storeConn, 1, 1
do while not storeRS.eof
	if storeRS("paymentMethodID")=1 then
		visa = storeRS("paymentMethodName")
		if storeRS("enabled") then
			visaChecked = "checked"
		end if
	end if
	if storeRS("paymentMethodID")=2 then
		masterCard = storeRS("paymentMethodName")
		if storeRS("enabled") then
			masterCardChecked = "checked"
		end if
	end if		
	if storeRS("paymentMethodID")=3 then
		americanExpress = storeRS("paymentMethodName")
		if storeRS("enabled") then
			americanExpressChecked = "checked"
		end if
	end if		
	if storeRS("paymentMethodID")=4 then
		discover = storeRS("paymentMethodName")
		if storeRS("enabled") then
			discoverChecked = "checked"
		end if
	end if		
	if storeRS("paymentMethodID")=6 then
		moneyOrder = storeRS("paymentMethodName")
		if storeRS("enabled") then
			moneyOrderChecked = "checked"
		end if
	end if		
	if storeRS("paymentMethodID")=7 then
		check = storeRS("paymentMethodName")
		if storeRS("enabled") then
			checkChecked = "checked"
		end if
	end if		
	if storeRS("paymentMethodID")=8 then
		charge = storeRS("paymentMethodName")
		if storeRS("enabled") then
			chargeChecked = "checked"
		end if
	end if		
	if storeRS("paymentMethodID")=9 then
		callMe = storeRS("paymentMethodName")
		if storeRS("enabled") then
			callMeChecked = "checked"
		end if
	end if		
	if storeRS("paymentMethodID")=11 then
		coupon = storeRS("paymentMethodName")
		if storeRS("enabled") then
			couponChecked = "checked"
		end if
	end if		
	storeRS.movenext
loop
storeRS.close
sqlString = "select paymentID, useRealTime, property1, property2, property3, property4, property5, property6 from storePaymentRealTime where storeID = "&storeID
storeRS.open sqlString, storeConn, 1, 1
do while not storeRS.eof 
	if storeRS("paymentID") = 1 then 'authorize net
		set cryptoObject = new crypto
		sqlString = "select publicKey, privateKey, modulus from storeSettings where storeID = "&storeID
		storeRSSec.open sqlString, storeConn, 1, 1
		cryptoObject.publicKey = storeRSSec("publicKey")
		cryptoObject.privateKey = storeRSSec("privateKey")
		cryptoObject.modulus = storeRSSec("modulus")
		storeRSSec.close
		if storeRS("useRealTime") then
			realTimeAuth="checked"
		end if
		x_Type = storeRS("property1")
		x_Login = cryptoObject.Decode(storeRS("property2"))
		x_txnkey = cryptoObject.Decode(storeRS("property3"))
		x_Test_Request = storeRS("property4")
		set cryptoObject = nothing
	end if
	if storeRS("paymentID") = 2 then 'VeriSign
		set cryptoObject = new crypto
		sqlString = "select publicKey, privateKey, modulus from storeSettings where storeID = "&storeID
		storeRSSec.open sqlString, storeConn, 1, 1
		cryptoObject.publicKey = storeRSSec("publicKey")
		cryptoObject.privateKey = storeRSSec("privateKey")
		cryptoObject.modulus = storeRSSec("modulus")
		storeRSSec.close		
		if storeRS("useRealTime") then
			realTimeVeriSign = "checked"
		end if
		VS_URL = storeRS("property1")
		VS_User = cryptoObject.Decode(storeRS("property2"))
		VS_Password = cryptoObject.Decode(storeRS("property3"))
		VS_Partner = storeRS("property4")
		VS_Vendor = storeRS("property5")
		paramList = storeRS("property6")
		set cryptoObject = nothing
	end if
	if storeRS("paymentID")=3 then ' PayPall
		if storeRS("useRealTime") then
			realTimePayPall = "checked"
		end if
		PP_URL = storeRS("property1")
		PP_Email = storeRS("property2")
	end if
	storeRS.movenext
loop
if realTimeAuth = "" and realTimeVeriSign = "" and realTimePayPall = "" then
	realTimeNo = "checked"
end if
storeRS.close

%>
<form method="post" name="storePayment" action="storePaymentAction.asp">
<input type="hidden" name="update" value="">
<table border="0" width="100%" cellspacing="1" cellpadding="1">
<% call saveChanges(2) %>
<tr>
	<td colspan="2" bgcolor="#3399CC"><div id="normalText"><b>List with all the available methods</b></div></td>
</tr>
<tr>
	<td width="30%" nowrap><div id="normalText"><input type="checkBox" name="visa" <%= visaChecked %>>Visa</div></td>
	<td width="70%"><div id="normalText">Modify method name
		<input type="text" name="visaText" value="<%= server.htmlEncode(visa) %>" class="t1">
		<input type="hidden" name="visaText_JS" value="Ma}String">
	</div></td>
</tr>
<tr>
	<td width="30%" nowrap><div id="normalText"><input type="checkBox" name="masterCard" <%= masterCardChecked %>>Master card</div></td>
	<td width="70%"><div id="normalText">Modify method name
		<input type="text" name="masterCardText" value="<%= server.htmlEncode(masterCard) %>" class="t1">
		<input type="hidden" name="masterCardText_JS" value="Ma}String">
	</div></td>
</tr>
<tr>
	<td width="30%" nowrap><div id="normalText"><input type="checkBox" name="americanExpress" <%= americanExpressChecked %>>American express</div></td>
	<td width="70%"><div id="normalText">Modify method name
		<input type="text" name="americanExpressText" value="<%= server.htmlEncode(americanExpress) %>" class="t1">
		<input type="hidden" name="americanExpressText_JS" value="Ma}String">
	</div></td>
</tr>
<tr>
	<td width="30%" nowrap><div id="normalText"><input type="checkBox" name="discover" <%= discoverChecked %>>Discover</div></td>
	<td width="70%"><div id="normalText">Modify method name
		<input type="text" name="discoverText" value="<%= server.htmlEncode(discover) %>" class="t1">
		<input type="hidden" name="discoverText_JS" value="Ma}String">
	</div></td>
</tr>
<tr>
	<td width="30%" nowrap><div id="normalText"><input type="checkBox" name="moneyOrder" <%= moneyOrderChecked %>>Money order</div></td>
	<td width="70%"><div id="normalText">Modify method name
		<input type="text" name="moneyOrderText" value="<%= server.htmlEncode(moneyOrder) %>" class="t1">
		<input type="hidden" name="moneyOrderText_JS" value="Ma}String">
	</div></td>
</tr>
<tr>
	<td width="30%" nowrap><div id="normalText"><input type="checkBox" name="check" <%= checkChecked %>>Cheque</div></td>
	<td width="70%"><div id="normalText">Modify method name
		<input type="text" name="checkText" value="<%= server.htmlEncode(check) %>" class="t1">
		<input type="hidden" name="checkText_JS" value="Ma}String">
	</div></td>
</tr>
<tr>
	<td width="30%" nowrap><div id="normalText"><input type="checkBox" name="charge" <%= chargeChecked %>>Charge my account</div></td>
	<td width="70%"><div id="normalText">Modify method name
		<input type="text" name="chargeText" value="<%= server.htmlEncode(charge) %>" class="t1">
		<input type="hidden" name="chargeText_JS" value="Ma}String">
	</div></td>
</tr>
<tr>
	<td width="30%" nowrap><div id="normalText"><input type="checkBox" name="callMe" <%= callMeChecked %>>Call me</div></td>
	<td width="70%"><div id="normalText">Modify method name
		<input type="text" name="callMeText" value="<%= server.htmlEncode(callMe) %>" class="t1">
		<input type="hidden" name="callMeText_JS" value="Ma}String">
	</div></td>
</tr>
<tr>
	<td width="30%" nowrap><div id="normalText"><input type="checkBox" name="coupon" <%= couponChecked %>>Coupons</div></td>
	<td width="70%"><div id="normalText">Modify method name
		<input type="text" name="couponText" value="<%= server.htmlEncode(coupon) %>" class="t1">
		<input type="hidden" name="couponText_JS" value="Ma}String">
	</div></td>
</tr>
<tr>
	<td colspan="2" bgcolor="#3399CC"><div id="normalText"><b>Real Time Credit Card Processing</b></div></td>
</tr>
<tr>
	<td colspan="2"><div id="normalText"><input type="radio" name ="realTime" value="no" <%= realTimeNo %>>I don't want to use a realtime processor</div></td>
</tr>
<tr>
	<td colspan="2"><div id="normalText"><input type="radio" name ="realTime" value="auth" <%= realTimeAuth %>>I will use Authorize net</div></td>
</tr>
<tr>
	<td colspan="2">
		<table border="0" width="100%">
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td colspan="2" width="80%"><div id="normalText"><b>My Authorize.Net account details:</b></td>
			</tr>
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Login</div></td>
				<td width="99%">
					<input type="text" name="x_Login" class="t1" value="<%= server.htmlEncode(x_Login) %>">
					<input type="hidden" name="x_Login_JS" value="Ma}String">
				</td>
			</tr>			
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Transaction key</div></td>
				<td width="99%">
					<input type="password" name="x_txnkey" class="t1" value="<%= server.htmlEncode(x_txnkey) %>">
					<input type="hidden" name="x_txnkey_JS" value="Ma}String">
				</td>
			</tr>			
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td colspan="2" width="80%"><div id="normalText"><b>Settings:</b></td>
			</tr>			
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Transaction type</div></td>
				<td width="99%">
					<input type="text" name="x_Type" class="t1" value="<%= server.htmlEncode(x_Type) %>">
					<input type="hidden" name="x_Type_JS" value="Ma}String">
				</td>
			</tr>			
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Transaction mode</div></td>
				<td width="99%">
					<select class="s1" name="x_Test_Request">
						<option value="TRUE" <% if x_Test_Request = "TRUE" then %> selected<% end if %>>Test</option>
						<option value="FALSE" <% if x_Test_Request = "FALSE" then %> selected<% end if %>>Live</option>
					</select>					
				</td>
			</tr>			
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td colspan="2"><div id="normalText"><b>Note:</b> You must have installed Microsoft XML Parser component to use this payment method</div></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td colspan="2"><div id="normalText"><input type="radio" name ="realTime" value="veriSign" <%= realTimeVeriSign %>>I will use VeriSign PayFlow Pro</div></td>
</tr>
<tr>
	<td colspan="2">
		<table border="0" width="100%">
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td colspan="2" width="80%"><div id="normalText"><b>My VeriSign account details:</b></td>
			</tr>
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Login</div>
					<div id="smallText">Type login&PARTNER=Verisign<br>where login will be replaced<br>with your VeriSign account</div>
				</td>
				<td width="99%">
					<input type="text" name="VS_User" class="t1" value="<%= server.htmlEncode(VS_User) %>">
					<input type="hidden" name="VS_User_JS" value="Ma}String">
				</td>
			</tr>			
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Password</div></td>
				<td width="99%">
					<input type="password" name="VS_Password" class="t1" value="<%= server.htmlEncode(VS_Password) %>">
					<input type="hidden" name="VS_Password_JS" value="Ma}String">
				</td>
			</tr>						
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td colspan="2" width="80%"><div id="normalText"><b>Settings</b></td>
			</tr>
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Server Address</div></td>
				<td width="99%">
					<input type="text" name="VS_URL" class="t1" value="<%= VS_URL %>">
					<input type="hidden" name="VS_URL_JS" value="Ma}String">
				</td>
			</tr>			
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Partner</div></td>
				<td width="99%"><input type="text" name="VS_Partner" class="t1" value="<%= VS_Partner %>"></td>
			</tr>						
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Vendor</div></td>
				<td width="99%"><input type="text" name="VS_Vendor" class="t1" value="<%= VS_Vendor %>"></td>
			</tr>
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td colspan="2"><div id="normalText"><b>Note:</b> You must have installed Payflow Pro client plugin on your computer, and you must set the environment variable PFPRO_CERT_PATH to point to the directory that 
    				contains the file f73e89fd.0 in the certs subdirectory. For more details go to <a href="http://www.verisign.com">http://www.verisign.com</a></div>
				</td>
			</tr>
			<!---
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Param List</div></td>
				<td width="99%">
					<input type="text" name="paramList" class="t1" value="<%= server.htmlEncode(paramList) %>">
					<input type="hidden" name="paramList_JS" value="Ma}String">
				</td>
			</tr>
			--->						
			<input type="hidden" name="paramList" value="<%= server.htmlEncode(paramList) %>">
		</table>
	</td>
</tr>

<tr>
	<td colspan="2"><div id="normalText"><input type="radio" name ="realTime" value="payPall" <%= realTimePayPall %>>I will use PayPall</div></td>
</tr>

<tr>
	<td colspan="2">
		<table border="0" width="100%">
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td colspan="2" width="80%"><div id="normalText"><b>My PayPall account details:</b></td>
			</tr>
			<!---
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">URL</div></td>
				<td width="99%">
					<input type="text" name="PP_URL" class="t1" value="<%= server.htmlEncode(PP_URL) %>">
					<input type="hidden" name="PP_URL_JS" value="Ma}String">
				</td>
			</tr>						
			---->
			<input type="hidden" name="PP_URL" value="<%= server.htmlEncode(PP_URL) %>">
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td width="1%" nowrap><div id="normalText">Pay to</div></td>
				<td width="99%">
					<input type="text" name="PP_Email" class="t1" value="<%= server.htmlEncode(PP_Email) %>">
					<input type="hidden" name="PP_Email_JS" value="Ma}String">
				</td>
			</tr>						
			<tr>
				<td width="1%" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td colspan="2" width="80%"><div id="normalText"><b>Note</b>: You don't need any additional component.</div></td>
			</tr>			
		</table>
	</td>
</tr>
<tr>
	<td colspan="2"><br></td>
</tr>
<tr>
	<td colspan="2">
		<input type="button" class="b1" value="Save settings" onClick="JavaScript:goSubmit();">
		<div id="smallText">This operation may take some time...</div>
	</td>
</tr>
</table>
</form>

<% call endWindow() %>
<!--#include file="design/end.asp"-->
<% 
set storeRS = nothing
set storeRSSec = nothing
set storeConn = nothing %>