<%
' NOTE: virtualName variable represent the store folder and is defined in mallAction.asp

'--------------------------------------------------------------------------------------
sub createStorePage(pageID, pageName, useSpecialModule)

	dim currentPath
	dim fs, f, textStream
	dim pageString
	
	set fs = CreateObject("Scripting.FileSystemObject")
	set f = fs.GetFile(session("templateFolder")&"\private\html\generic"&pageID&".htm")
	set textStream = f.OpenAsTextStream(1, 0)
	if not textStream.AtEndOfStream then
		pageString = textStream.readAll
	else
		pageString = ""
	end if
	textStream.close
	if pageString <> "" then
		pageString = replaceHttp(pageString)
		' ----------- search top section ------------------
		pageString = replace(pageString, "#TOP_SECTION#", chr(60)&"!--#include file=""Sections/top"&pageID&".asp""--"&chr(62))
		call createSection(pageID, "top", useSpecialModule)
		pageString = replace(pageString, "#LEFT_SECTION#", chr(60)&"!--#include file=""Sections/left"&pageID&".asp""--"&chr(62))
		call createSection(pageID, "left", useSpecialModule)
		pageString = replace(pageString, "#CENTER_SECTION#", chr(60)&"!--#include file=""../Body/"&pageName&".asp""--"&chr(62))
		pageString = replace(pageString, "#RIGHT_SECTION#", chr(60)&"!--#include file=""Sections/right"&pageID&".asp""--"&chr(62))
		call createSection(pageID, "right", useSpecialModule)
		pageString = replace(pageString, "#BOTTOM_SECTION#", chr(60)&"!--#include file=""Sections/bottom"&pageID&".asp""--"&chr(62))
		call createSection(pageID, "bottom", useSpecialModule)
	end if
	
	currentPath = pathApp()&"Carts\"&virtualName&"\Design\"
	set f = fs.GetFile(currentPath & pageName &".asp")
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write pageString
	textStream.close
	set textStream = nothing
	set fs = nothing
	set f = nothing

end sub
'--------------------------------------------------------------------------------------

sub createSection(pageID, sectionName, useSpecialModule)

	dim fs, f, textStream, htmlString
	dim currentPath
	
	set fs = CreateObject("Scripting.FileSystemObject")	
	currentPath = pathApp()&"Carts\"&virtualName&"\Design\Sections\"

	set f = fs.GetFile(session("templateFolder")&"\private\html\"&sectionName&pageID&".htm")
	set textStream = f.OpenAsTextStream(1, 0)
	if not textStream.AtEndOfStream then
		htmlString = textStream.readAll
	else
		htmlString = "&nbsp;"
	end if
	textStream.close
	if not useSpecialModule then
		useSpecialModule = testSpecialModule(htmlString)
	end if
	htmlString = replaceHttp(htmlString)
	htmlString = replace(htmlString, "#SMALL_CART#", chr(60)&"% call smallCart() %"&chr(62))
	htmlString = replace(htmlString, "#SEARCH#", chr(60)&"% call search() %"&chr(62))
	htmlString = replace(htmlString, "#HELLO_USER#", chr(60)&"% call helloUser() %"&chr(62))
	htmlString = replace(htmlString, "#DATE_TIME#", chr(60)&"% call displayDate() %"&chr(62))
	htmlString = replace(htmlString, "#LOGIN#", chr(60)&"% call displayLogin() %"&chr(62))
	htmlString = replace(htmlString, "#BANNER#", chr(60)&"% call displayBanner() %"&chr(62))
	htmlString = replace(htmlString, "#CATEGORY#", chr(60)&"% call displayCategories() %"&chr(62))
	htmlString = replace(htmlString, "#SPECIAL_RANDOM_PRODUCT#", chr(60)&"% call displayProductSpecialRandom(randomProductsList) %"&chr(62))
	htmlString = replaceSpecialModule(htmlString)
	
	set f = fs.GetFile(currentPath & sectionName & pageID &".asp")
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write htmlString
	textStream.close
	set textStream = nothing
	set fs = nothing
	set f = nothing
	
end sub
'--------------------------------------------------------------------------------------

function createButton(buttonID)

	dim htmlString
	dim result, bImage, bClass
	
	result = ""
	htmlString = returnHTML(session("templateFolder")&"\private\central\button.htm")
	if htmlString <> "" then
		call returnButton(buttonID, "#END#", bImage, bClass, htmlString)
		if bImage <> "" then
			bImage = replaceHTTP(bImage)
			result = bImage
		elseif bClass <> "" then
			result = bClass
		end if
	end if
	createButton = result

end function
'--------------------------------------------------------------------------------------

function replaceHttp(htmlString)

	dim newString

	dim strFound, strReplace
	strFound = "http://PublicSkins/"&session("templateName")
	newString = htmlString
	if instr(lcase(htmlString), lcase(strFound)) > 0 then
		newString = htmlString
		newString = replace(newString, "HTTP", "http")
		newString = replace(newString, "Http", "http")
		strReplace = "Design/Images"
		newString = replace(newString, strFound, strReplace)
	end if
	replaceHttp = newString
	
end function
'--------------------------------------------------------------------------------------

function returnHTML(file)

	dim fs, f, textStream

	set fs = CreateObject("Scripting.FileSystemObject")
	Set f = fs.GetFile(file)
	set textStream = f.OpenAsTextStream(1, 0)
	if not textStream.AtEndOfStream then
		returnHTML = textStream.readAll
	else
		returnHTML = ""
	end if
	textStream.close
	set textStream = nothing
	set fs = nothing
	set f = nothing
end function
'--------------------------------------------------------------------------------------

function returnButton(searchButton, endSearch, buttonImage, buttonClass, htmlString)

	dim buttonString
	dim useImg
	dim startString, endString, lenString
	dim bodyString, i, props
	
	startString = instr(htmlString, searchButton)
	if startString <= 0 then
		returnButton = false
		exit function
	end if
	startString = startString + len(searchButton)
	buttonString = mid(htmlString, startString)
	startString = instr(buttonString, endSearch)
	buttonString = mid(buttonString, 1, startString -1)

	useImg = true
	startString = instr(lcase(buttonString), "<img")
	if startString <= 0 then
		startString = instr(lcase(buttonString), "<class")
		useImg = false
	end if
	if startString <= 0 then
		returnButton = false
		exit function
	end if
	
	endString = instr(mid(buttonString, startString), ">") + startString
	if useImg then
		lenString = len("<img")
	else
		lenString = len("<class")
	end if
	bodyString = mid(buttonString, startString + lenString, endString - startString - lenString - 1)
	while instr(bodyString, "  ") > 0
		bodyString = replace(bodyString, "  "," ")
	wend
	bodyString = split(bodyString, " ")
	for i=0 to ubound(bodyString)
		props = split(bodyString(i), "=")
		if ubound(props) > 0 then
			if useImg then
				if lcase(props(0)) = "src" then
					buttonImage = replace(props(1), " ", "")
					buttonImage = replace(buttonImage, """", "")
				end if
			else
				if lcase(props(0)) = "class" then
					buttonClass = replace(props(1), " ", "")
					buttonClass = replace(buttonClass, """", "")
				end if
			end if
		end if
	next
	returnButton = true
	
end function
'--------------------------------------------------------------------------------------

function returnClass(htmlString)

	dim startString, endString, lenString
	dim bodyString, i, props
	
	dim result

	startString = instr(lcase(htmlString), "<class")
	endString = instr(mid(htmlString, startString), ">") + startString
	lenString = len("<class")
	bodyString = mid(htmlString, startString + lenString, endString - startString - lenString - 1)
	while instr(bodyString, "  ") > 0
		bodyString = replace(bodyString, "  "," ")
	wend
	bodyString = split(bodyString, " ")
	for i=0 to ubound(bodyString)
		props = split(bodyString(i), "=")
		if ubound(props) > 0 then
			if lcase(props(0)) = "class" then
				result = replace(props(1), " ", "")
				result = replace(result, """", "")
			end if
		end if
	next
	returnClass = result
end function
'--------------------------------------------------------------------------------------

function returnFonts(font, fontSize, fontColor, fontID, htmlString)

	dim useFonts
	dim startString, endString, lenString
	dim bodyString, i, props

	useFonts = true
	startString = instr(lcase(htmlString), "<font")
	if startString <=0 then
		startString = instr(lcase(htmlString), "<div")
		useFonts = false
	end if
	if startString <= 0 then
		returnFonts = false
		exit function
	end if
	endString = instr(mid(htmlString, startString), ">") + startString
	if useFonts then
		lenString = len("<font")
	else
		lenString = len("<div")
	end if
	bodyString = mid(htmlString, startString + lenString, endString - startString - lenString - 1)
	while instr(bodyString, "  ") > 0
		bodyString = replace(bodyString, "  "," ")
	wend
	bodyString = split(bodyString, " ")
	for i=0 to ubound(bodyString)
		props = split(bodyString(i), "=")
		if ubound(props) > 0 then
			if useFonts then
				if lcase(props(0)) = "face" then
					font = replace(props(1), " ", "")
					font = replace(font, """", "")
				elseif lcase(props(0)) = "size" then
					fontSize = replace(props(1), " ", "")
					fontSize = replace(fontSize, """", "")
				elseif lcase(props(0)) = "color" then
					fontColor = replace(props(1), " ", "")
					fontColor = replace(fontColor, """", "")
				end if
			else
				if lcase(props(0)) = "id" then
					fontID = replace(props(1), " ", "")
					fontID = replace(fontID, """", "")
				end if
			end if
		end if
	next
	returnFonts = true
end function
'--------------------------------------------------------------------------------------

sub replaceSkinFolder(skinFile, skinFolder)
	' skinFile - the destination skin file where the skin folder will replace the old folder
	' replace all links like : http://PublicSkins/Old_Folder/image.gif with : http://PublicSkins/New_Folder/image.gif

	dim fs, f, textStream, htmlString, tempString
	dim oldFolder, startFolder, strFound, strReplace
	
	htmlString = returnHTML(skinFile)
	if htmlString <> "" then
		startFolder = instr(lcase(htmlString), "http://publicskins/")
		if startFolder <= 0 then
			exit sub
		end if
		startFolder = startFolder + len("http://publicskins/")
		tempString = split(mid(htmlString, startFolder), "/")
		if ubound(tempString) <= 0 then
			exit sub
		end if
		oldFolder = tempString(0)
		strFound = "http://PublicSkins/"&oldFolder
		strReplace = "http://PublicSkins/"&skinFolder
		htmlString = replace(htmlString, strFound, strReplace)

		set fs = CreateObject("Scripting.FileSystemObject")
		set f = fs.GetFile(skinFile)
		set textStream = f.OpenAsTextStream(2, 0)
		textStream.write htmlString
		textStream.close
		set textStream = nothing
		set f = nothing
		set fs = nothing
	end if
end sub

'--------------------------------------------------------------------------------------
sub modifySkinFile(storeName, skinFile, skinFolder)
	dim fs, f, textStream, htmlString
	htmlString = returnHTML(skinFile)
	if htmlString <> "" then
		htmlString = replaceHttpPublicPrivate(storeName, skinFolder, htmlString)
		set fs = CreateObject("Scripting.FileSystemObject")
		set f = fs.GetFile(skinFile)
		set textStream = f.OpenAsTextStream(2, 0)
		textStream.write htmlString
		textStream.close
		set textStream = nothing
		set f = nothing
		set fs = nothing
	end if
end sub
'--------------------------------------------------------------------------------------
function replaceHttpPublicPrivate(storeName, skinFolder, htmlString)

	dim newString
	dim strFound, strReplace
	
	strFound = "http://PublicSkins/"&skinFolder
	strReplace = "http://"&virtualPathApp()&"Carts/"&storeName&"/Skins/"&skinFolder
	if instr(lcase(htmlString), lcase(strFound)) > 0 then
		newString = replace(htmlString, strFound, strReplace)
	else
		newString = htmlString
	end if
	replaceHttpPublicPrivate = newString

end function
'--------------------------------------------------------------------------------------
function replaceSpecialModule(htmlString)
	dim startString, endString, lenString, myString, myNumber
	dim resultString

	myString = htmlString
	resultString = htmlString
	lenString = len("#SPECIAL_PRODUCT")
	startString = instr(myString, "#SPECIAL_PRODUCT")
	do while startString > 0
		endString = instr(mid(myString, startString), ")#")
		if endString > 0 then
			endString = endString + startString + 1
			myNumber = mid(myString, startString + lenString, endString - startString - lenString - 1)
			myNumber = replace(myNumber, "(", "")
			myNumber = replace(myNumber, ")", "")
			if checkIfNumber(myNumber) then
				resultString = replace(resultString, "#SPECIAL_PRODUCT("&myNumber&")#", chr(60)&"% call displayProductSpecial("&myNumber&") %"&chr(62))
			end if
		end if
		myString = mid(myString, startString + lenString)
		startString = instr(myString, "#SPECIAL_PRODUCT")
	loop
	replaceSpecialModule = resultString
	
end function
'--------------------------------------------------------------------------------------
function testSpecialModule(htmlString)
	dim startString, endString, lenString, myString, myNumber
	dim result
	
	result = false
	if instr(htmlString, "#SPECIAL_RANDOM_PRODUCT#") > 0 then
		result = true
	else
		myString = htmlString
		lenString = len("#SPECIAL_PRODUCT")
		startString = instr(myString, "#SPECIAL_PRODUCT")
		do while startString > 0
			endString = instr(mid(myString, startString), ")#")
			if endString > 0 then
				endString = endString + startString + 1
				myNumber = mid(myString, startString + lenString, endString - startString - lenString - 1)
				myNumber = replace(myNumber, "(", "")
				myNumber = replace(myNumber, ")", "")
				if checkIfNumber(myNumber) then
					result = true
					exit do
				end if
			end if
			myString = mid(myString, startString + lenString)
			startString = instr(myString, "#SPECIAL_PRODUCT")
		loop
	end if
	testSpecialModule = result

end function
'--------------------------------------------------------------------------------------
%>